VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::cis::tagging::TagAssociationDefinitions Class Reference

Defines the type descriptors for the TagAssociation API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | batchResult
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | tagToObjects
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | objectToTags
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | attachInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | attachOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | attachMultipleTagsToObjectInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | attachMultipleTagsToObjectOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | attachTagToMultipleObjectsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | attachTagToMultipleObjectsOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | detachInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | detachOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | detachMultipleTagsFromObjectInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | detachMultipleTagsFromObjectOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | detachTagFromMultipleObjectsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | detachTagFromMultipleObjectsOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listAttachedObjectsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listAttachedObjectsOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listAttachedObjectsOnTagsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listAttachedObjectsOnTagsOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listAttachedTagsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listAttachedTagsOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listAttachedTagsOnObjectsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listAttachedTagsOnObjectsOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listAttachableTagsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listAttachableTagsOutput

## Detailed Description

Defines the type descriptors for the TagAssociation API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::attachInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("tag_id", new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag"));
                    fields.Add("object_id", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::attachMultipleTagsToObjectInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("object_id", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value)));
                    fields.Add("tag_ids", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::attachMultipleTagsToObjectOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.cis.tagging.TagAssociationDefinitions.batchResult.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::attachOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::attachTagToMultipleObjectsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("tag_id", new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag"));
                    fields.Add("object_ids", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::attachTagToMultipleObjectsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.cis.tagging.TagAssociationDefinitions.batchResult.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::batchResult`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("success", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("error_messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.cis.tagging.tag_association.batch_result", fields, typeof(vmware.cis.tagging.TagAssociationTypes.BatchResult), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::detachInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("tag_id", new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag"));
                    fields.Add("object_id", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::detachMultipleTagsFromObjectInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("object_id", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value)));
                    fields.Add("tag_ids", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::detachMultipleTagsFromObjectOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.cis.tagging.TagAssociationDefinitions.batchResult.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::detachOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::detachTagFromMultipleObjectsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("tag_id", new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag"));
                    fields.Add("object_ids", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::detachTagFromMultipleObjectsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.cis.tagging.TagAssociationDefinitions.batchResult.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::listAttachableTagsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("object_id", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::listAttachableTagsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag"));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::listAttachedObjectsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("tag_id", new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::listAttachedObjectsOnTagsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("tag_ids", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::listAttachedObjectsOnTagsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.cis.tagging.TagAssociationDefinitions.tagToObjects.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::listAttachedObjectsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::listAttachedTagsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("object_id", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::listAttachedTagsOnObjectsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("object_ids", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::listAttachedTagsOnObjectsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.cis.tagging.TagAssociationDefinitions.objectToTags.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::cis::tagging::TagAssociationDefinitions::listAttachedTagsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag"));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::objectToTags`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("object_id", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value)));
                    fields.Add("tag_ids", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag")));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.cis.tagging.tag_association.object_to_tags", fields, typeof(vmware.cis.tagging.TagAssociationTypes.ObjectToTags), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::TagAssociationDefinitions::tagToObjects`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("tag_id", new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag"));
                    fields.Add("object_ids", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.dynamicID.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.cis.tagging.tag_association.tag_to_objects", fields, typeof(vmware.cis.tagging.TagAssociationTypes.TagToObjects), validators, false, null);
                })

The documentation for this class was generated from the following file:

- TagAssociationDefinitions.cs